Subject: [Sip] Publication request for draft-ietf-sip-domain-certs

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 8 Apr 2009 17:59:59 +0200

(As WG chair)

I have just requested publication of draft-ietf-sip-domain-certs-03 as proposed standard.

The proto writeup follows, for information.

regards

Keith

----------------------------------------------------------------
PROTO writeup for http://www.ietf.org/internet-drafts/draft-ietf-sip-domain-certs-03: "Domain Certificates in the Session Initiation Protocol (SIP)"

   (1.a)  Who is the Document Shepherd for this document?  Has the
          Document Shepherd personally reviewed this version of the
          document and, in particular, does he or she believe this
          version is ready for forwarding to the IESG for publication?

Keith Drage

The document has been reviewed and is ready for forwarding to IESG for publication.

Document history:

- draft-gurbani-sip-domain-certs-00 was submitted 4th April 2006 and expired 6th October 2006.
- draft-gurbani-sip-domain-certs-01 was submitted 26th June 2006 and expired 28th December 2006.
- draft-gurbani-sip-domain-certs-02 was submitted 1st August 2006 and expired 2nd February 2007.
- draft-gurbani-sip-domain-certs-03 was submitted 2nd August 2006 and expired 3rd February 2007.
- draft-gurbani-sip-domain-certs-04 was submitted 5th March 2007 and expired 6th September 2007.
- draft-gurbani-sip-domain-certs-05 was submitted 22nd June 2007 and expired 24th December 2007.
- draft-gurbani-sip-domain-certs-06 was submitted 9th July 2007 and expired 10th January 2008.
- draft-ietf-sip-domain-certs-00 was submitted 8th November 2007 and expired 11th May 2008.
- draft-ietf-sip-domain-certs-01 was submitted 14th July 2008 and expires 15th January 2009.
- draft-ietf-sip-domain-certs-02 was submitted 6th October 2008 and expires 9th April 2009.
- draft-ietf-sip-domain-certs-03 was submitted 7th April 2009 and expires 9th October 2009.

The document forms a normative dependency from draft-ietf-sip-connect-reuse aside from being usable in its own right.

WGLC was announced in the SIP WG on 22nd February 2008 to complete 7th March 2008 on -00 version. 

Review was made and comments were received from: John Elwell, Robert Sparks, Eric Rescorla, Jonathan Rosenberg, Cullen Jennings.

   (1.b)  Has the document had adequate review both from key WG members
          and from key non-WG members?  Does the Document Shepherd have
          any concerns about the depth or breadth of the reviews that
          have been performed?

The document has had adequate review from working group members. 

   (1.c)  Does the Document Shepherd have concerns that the document
          needs more review from a particular or broader perspective,
          e.g., security, operational complexity, someone familiar with
          AAA, internationalization, or XML?

The document shepherd considers that no external review from an external specialist is necessary, apart from as follows.

The document has been reviewed by members of the PKIX working group on a number of occasions, primarily Stephen Kent.

The document has not had a separate security review, and that should therefore occur, although it has been reviewed by the security advisor to the RAI area.

   (1.d)  Does the Document Shepherd have any specific concerns or
          issues with this document that the Responsible Area Director
          and/or the IESG should be aware of?  For example, perhaps he
          or she is uncomfortable with certain parts of the document, or
          has concerns whether there really is a need for it.  In any
          event, if the WG has discussed those issues and has indicated
          that it still wishes to advance the document, detail those
          concerns here.  Has an IPR disclosure related to this document
          been filed?  If so, please include a reference to the
          disclosure and summarize the WG discussion and conclusion on
          this issue.

The document shepherd has no specific concerns with any aspects of this document.

There have been no IPR disclosures on this document.

   (1.e)  How solid is the WG consensus behind this document?  Does it
          represent the strong concurrence of a few individuals, with
          others being silent, or does the WG as a whole understand and
          agree with it?

Full consensus exists on this document.

   (1.f)  Has anyone threatened an appeal or otherwise indicated extreme
          discontent?  If so, please summarize the areas of conflict in
          separate email messages to the Responsible Area Director.  (It
          should be in a separate email because this questionnaire is
          entered into the ID Tracker.)

None indicated.

   (1.g)  Has the Document Shepherd personally verified that the
          document satisfies all ID nits?  (See
          http://www.ietf.org/ID-Checklist.html and
          http://tools.ietf.org/tools/idnits/.)  Boilerplate checks are
          not enough; this check needs to be thorough.  Has the document
          met all formal review criteria it needs to, such as the MIB
          Doctor, media type, and URI type reviews?  If the document
          does not already indicate its intended status at the top of
          the first page, please indicate the intended status here.

The document has been reviewed against the guidelines in RFC 4485 and it is believed that the document is conformant with those guidelines.

For ID-NITS the checks against idnits 2.11.08 report NITS as follows.

    Summary: 0 errors (**), 1 warning (==), 0 comments (--).

draft-ietf-sip-eku and draft-ietf-sip-domain-certs (and draft-ietf-sip-connect-reuse) have interdependent references, and the warning relates to one of these cross references. The latest versions of each will apply and it this should sort itself out automatically on publication.

   (1.h)  Has the document split its references into normative and
          informative?  Are there normative references to documents that
          are not ready for advancement or are otherwise in an unclear
          state?  If such normative references exist, what is the
          strategy for their completion?  Are there normative references
          that are downward references, as described in [RFC3967]?  If
          so, list these downward references to support the Area
          Director in the Last Call procedure for them [RFC3967].

The document has separate sections for normative and informative references. The normative references have been checked and found to be normative.

   (1.i)  Has the Document Shepherd verified that the document's IANA
          Considerations section exists and is consistent with the body
          of the document?  If the document specifies protocol
          extensions, are reservations requested in appropriate IANA
          registries?  Are the IANA registries clearly identified?  If
          the document creates a new registry, does it define the
          proposed initial contents of the registry and an allocation
          procedure for future registrations?  Does it suggest a
          reasonable name for the new registry?  See [RFC2434].  If the
          document describes an Expert Review process, has the Document
          Shepherd conferred with the Responsible Area Director so that
          the IESG can appoint the needed Expert during IESG Evaluation?

The document has no IANA registration requirements.

   (1.j)  Has the Document Shepherd verified that sections of the
          document that are written in a formal language, such as XML
          code, BNF rules, MIB definitions, etc., validate correctly in
          an automated checker?

The document does not contain any elements of formal language.

   (1.k)  The IESG approval announcement includes a Document
          Announcement Write-Up.  Please provide such a Document
          Announcement Write-Up.  Recent examples can be found in the
          "Action" announcements for approved documents.  The approval
          announcement contains the following sections:

          Technical Summary
             Relevant content can frequently be found in the abstract
             and/or introduction of the document.  If not, this may be
             an indication that there are deficiencies in the abstract
             or introduction.

          Working Group Summary
             Was there anything in the WG process that is worth noting?
             For example, was there controversy about particular points
             or were there decisions where the consensus was
             particularly rough?

          Document Quality
             Are there existing implementations of the protocol?  Have a
             significant number of vendors indicated their plan to
             implement the specification?  Are there any reviewers that
             merit special mention as having done a thorough review,
             e.g., one that resulted in important changes or a
             conclusion that the document had no substantive issues?  If
             there was a MIB Doctor, Media Type, or other Expert Review,
             what was its course (briefly)?  In the case of a Media Type
             Review, on what date was the request posted?

          Personnel
             Who is the Document Shepherd for this document?  Who is the
             Responsible Area Director?  If the document requires IANA
             experts(s), insert 'The IANA Expert(s) for the registries
             in this document are <TO BE ADDED BY THE AD>.'

Technical summary.

This document describes how to construct and interpret certain information in a X.509 PKIX-compliant certificate for use in a Session Initiation Protocol (SIP) over Transport Layer Security (TLS) connection.  More specifically, this document describes how to encode and extract the identity of a SIP domain in a certificate and how to use that identity for SIP domain authentication.  As such, this document is relevant both to implementors of SIP and to issuers of cetificates.
Working group summary.

There is consensus in the working group to publish this document. 

Document Quality

There has been no indication of implementation.

Personnel

The document shepherd for this document was Keith Drage. The responsible Area Director was Cullen Jennings. 'The IANA Expert(s) for the registries in this document are <TO BE ADDED BY THE AD>.